Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.html
Class HCalendarExtractorTest

    java.lang.Object
      org.apache.any23.extractor.html.AbstractExtractorTestCase
          org.apache.any23.extractor.html.HCalendarExtractorTest

    public class HCalendarExtractorTest

extends AbstractExtractorTestCase

Test case for `HCalendarExtractor`class.

Version:
  $Id: HCalendarExtractorTest.html 1233375 2012-01-19 13:45:22Z simonetripodi $
Author:
  Davide Palmisano ( dpalmisano@gmail.com ), Michele Mostarda ( michele.mostarda@gmail.com )

Field Summary

Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`baseURI`

Constructor Summary
`HCalendarExtractorTest()`

Method Summary
`protected org.apache.any23.extractor.ExtractorFactory<?>` | `getExtractorFactory()`
`void` | `test01()`
`void` | `test02()`
`void` | `test03()`
`void` | `test04()`
`void` | `test05()`
`void` | `test06()`
`void` | `test07()`
`void` | `test08()`
`void` | `test09()`
`void` | `test10()`
`void` | `test11()`
`void` | `test12()`
`void` | `test13()`
`void` | `test15()`
`void` | `test16()`
`void` | `test17()`
`void` | `test18()`
`void` | `testFullHCalendarClass()`
`void` | `testHCalendarClassWithJournal()`
`void` | `testHCalendarClassWithTodo()`
`void` | `testHCalendarWithBudyInfo()`
`void` | `testNoMicroformats()`
`void` | `testNoMicroformatsInStatCvsPage()`
`void` | `testOneVEvent()`
`void` | `testRepetitiveEvent()`
`void` | `testThreeDayEvent()`
`void` | `testTransparentEvent()`

Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertError, assertExtracts, assertModelEmpty, assertModelNotEmpty, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getErrors, getReport, getStatements, getStatementsSize, setUp, tearDown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HCalendarExtractorTest

    public HCalendarExtractorTest()

Method Detail

### getExtractorFactory

    protected org.apache.any23.extractor.ExtractorFactory<?> getExtractorFactory()

  Specified by:
    `getExtractorFactory` in class `AbstractExtractorTestCase`
  Returns:
    the factory of the extractor to be tested.

### testOneVEvent

    public void testOneVEvent()
                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testTransparentEvent

    public void testTransparentEvent()
                              throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testRepetitiveEvent

    public void testRepetitiveEvent()
                             throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testThreeDayEvent

    public void testThreeDayEvent()
                           throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testHCalendarWithBudyInfo

    public void testHCalendarWithBudyInfo()
                                   throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test01

    public void test01()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test02

    public void test02()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test03

    public void test03()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test04

    public void test04()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test05

    public void test05()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test06

    public void test06()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test07

    public void test07()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test08

    public void test08()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test09

    public void test09()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test10

    public void test10()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test11

    public void test11()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test12

    public void test12()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test13

    public void test13()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test15

    public void test15()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test16

    public void test16()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test17

    public void test17()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### test18

    public void test18()
                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testNoMicroformats

    public void testNoMicroformats()
                            throws org.openrdf.repository.RepositoryException,
                                   IOException,
                                   org.apache.any23.extractor.ExtractionException

  Throws:
    `org.openrdf.repository.RepositoryException`
    `IOException`
    `org.apache.any23.extractor.ExtractionException`

### testNoMicroformatsInStatCvsPage

    public void testNoMicroformatsInStatCvsPage()
                                         throws org.openrdf.repository.RepositoryException,
                                                IOException,
                                                org.apache.any23.extractor.ExtractionException

  Throws:
    `org.openrdf.repository.RepositoryException`
    `IOException`
    `org.apache.any23.extractor.ExtractionException`

### testFullHCalendarClass

    public void testFullHCalendarClass()
                                throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testHCalendarClassWithTodo

    public void testHCalendarClassWithTodo()
                                    throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testHCalendarClassWithJournal

    public void testHCalendarClassWithJournal()
                                       throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.